# react-pagination
react pagination component

![effect-view](http://images.cnblogs.com/cnblogs_com/leonwang/758528/o_pagination.png)

## Usage

```js
import React from 'react';
import ReactDOM from 'react-dom';
import Pager from '../src/';

function onPageChange(page) {
  console.log(page);
}

ReactDOM.render(
  <div>
    <Pager pageCount={100} onPageChange={onPageChange} cls="my-class" />
    <Pager pageCount={100} onPageChange={onPageChange} cls="my-class" prevPage="Prev" nextPage="Next" />
    <Pager pageCount={100} onPageChange={onPageChange} visiblePageCount={12} cls="my-class" showFirstLastPage={true} />
    <Pager pageCount={100} onPageChange={onPageChange} visiblePageCount={15} currentPage={5} cls="my-class" />
  </div>,
  document.querySelector('#root')
);

```

## Customization options

### you must specify pageCount and onPageChange props , others are optional. see the code above from demo/index.js

<table>
  <thead>
    <tr>
      <th>Option Name</th>
      <th>Description</th>
    </tr>
  </thead>
  <tbody>
   <tr>
      <td>pageCount</td>
      <td>set page count for pagination</td>
    </tr>
     <tr>
      <td>onPageChange</td>
      <td>set the page change handler</td>
    </tr>
      <tr>
      <td>currentPage</td>
      <td>set the active page, by default it's the first page : 1</td>
    </tr>
    <tr>
      <td>firstPage</td>
      <td>set the first page button text</td>
    </tr>
     <tr>
      <td>lastPage</td>
      <td>set the last page button text, e.g last-text="Last Page"<br> default is "Last"</td>
    </tr>
   <tr>
      <td>prevPage</td>
      <td>set the prev page button text</td>
    </tr>
   <tr>
   <tr>
      <td>nextPage</td>
      <td>set the next page button text</td>
    </tr>
     <tr>
      <td>visiblePageCount</td>
      <td>set the visible page button count. e.g. the pageCount is 100, and the currentPage is 50, it will only show page 45 to page 54<br>default value is 10</td>
    </tr>
    <tr>
      <td>cls</td>
      <td>add classname to the top div element, you can use it to customize the style</td>
    </tr>
      <tr>
      <td>showFirstLastPage</td>
      <td>whether to show the first page and last page button</td>
    </tr>
</table>

## Demo

1. npm install
2. npm start


